Page MenuHomePhabricator

ChangeFileInfo page WikiEditor toolbar visible
Closed, ResolvedPublic2 Estimated Story Points

Description

11:05:00 1) ChangeFileInfo page WikiEditor toolbar visible:
11:05:00 An element could not be located on the page using the given search parameters ("button[value=editinfo]").
11:05:00 running chrome
11:05:00 Error: An element could not be located on the page using the given search parameters ("button[value=editinfo]").
11:05:00     at click() - index.js:312:3

From https://integration.wikimedia.org/ci/job/wmf-quibble-selenium-php72-docker/29321/console (Translate)

Seems to be of intermittent type.

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptMar 31 2020, 8:27 AM
Reedy added a project: ci-test-error.

Change 588475 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/FileImporter@master] Disable broken/flaky test

https://gerrit.wikimedia.org/r/588475

Change 588475 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Disable broken/flaky test

https://gerrit.wikimedia.org/r/588475

thiemowmde raised the priority of this task from High to Needs Triage.Apr 14 2020, 8:55 AM
thiemowmde set the point value for this task to 2.
thiemowmde added subscribers: WMDE-Fisch, thiemowmde.

Note that the patch https://gerrit.wikimedia.org/r/588475 disabled the test for now. I think a better solution is to wait for the element to appear, or wait for the "edit toolbar" resource loader module to load.

@Nikerabbit, is this ok for now from your point of view? If yes, please close this ticket as being done. We will look into these tests again later this year when we continue deploying FileExporter to more wikis.

Nikerabbit closed this task as Resolved.Apr 15 2020, 4:27 PM
Nikerabbit claimed this task.